package compbio.listeners;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import compbio.statistic.StatisticsProt;

/**
 * Servlet implementation class ProtServlet
 */
@WebServlet("/ProtServlet")
public class ProtServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse
	 *      response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		final long startTime = System.currentTimeMillis();
		String flag = request.getParameter("protein");
		String prot = request.getParameter("prot");
		String search = request.getParameter("Search");
		int counter = Integer.parseInt(request.getParameter("counterJob"));
		StatisticsProt sp = new StatisticsProt();
		if (search.equals("Search counter")) {
			request.setAttribute("result", sp.readProtID(counter));
		} else {
			if (flag.equals("whole"))
				request.setAttribute("result", sp.readProteins(prot));
			else
				request.setAttribute("result", sp.readPart(prot));
		}
		final long endTime = System.currentTimeMillis();
		request.setAttribute("timeExecution", (endTime - startTime));
		request.setAttribute("prot", prot);
		request.setAttribute("flag", flag);
		request.setAttribute("search", search);
		request.setAttribute("counter", counter);
		RequestDispatcher rd = request.getRequestDispatcher("/ReportProt.jsp");
		rd.forward(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse
	 *      response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		doGet(request, response);
	}

}
